Subject: [Sip] Target Refresh Request and Contact Header

From: "David Roan" <[email-masked]>
Date: Thu, 24 Jan 2008 12:01:46 -0600

According to RFC 3261, the following is stated in section 12.2.1.1:
A UAC SHOULD include a Contact header field in any target refresh requests
within a dialog, and unless there is a need to change it, the URI SHOULD be
the same as used in previous requests within the dialog.  If the "secure"
flag is true, that URI MUST be a SIPS URI.As discussed in Section 12.2.2, a
Contact header field in a target refresh request updates the remote target
URI.  This allows a UA to provide a new contact address, should its address
change during the duration of the dialog.

This seems to indicate that including the Contact header in a target refresh
request (ie, Re-INVITE or UPDATE) is only a strong recommendation (ie,
"SHOULD" vs "MUST").

However, table 3 in section 20 of RFC3261 seems to contradict this, as it
lists the Contact header as "m":
Header field              where       proxy ACK BYE CAN INV OPT REG
___________________________________________________________________
Contact                      R                      o       -      -
m     o      o

Also, table 1 in section 8 of RFC3311 lists the Contact header as "m" for
the UPDATE request.

Is there any consensus as to which is considered the correct statement? MUST
the Contact header be included in target refresh requests(as indicated by
the header tables in RFC3261 and RFC3311)? Or, SHOULD the Contact header be
included in the target refresh request(as indicated by section 12.2.1.1 of
RFC3261)?

Thanks in advance for any input, insight, or clarification.
John D. Roan
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 24 Jan 2008 13:41:13 -0500

IMO it should be MUST. I suspect is is weaker for 2543 compatibility.

	Paul

David Roan wrote:
> According to RFC 3261, the following is stated in section 12.2.1.1 
> <http://12.2.1.1>:
> A UAC SHOULD include a Contact header field in any target refresh 
> requests within a dialog, and unless there is a need to change it, the 
> URI SHOULD be the same as used in previous requests within the dialog.  
> If the "secure" flag is true, that URI MUST be a SIPS URI.As discussed 
> in Section 12.2.2, a Contact header field in a target refresh request 
> updates the remote target URI.  This allows a UA to provide a new 
> contact address, should its address change during the duration of the 
> dialog.
>  
> This seems to indicate that including the Contact header in a target 
> refresh request (ie, Re-INVITE or UPDATE) is only a strong 
> recommendation (ie, "SHOULD" vs "MUST").
>  
> However, table 3 in section 20 of RFC3261 seems to contradict this, as 
> it lists the Contact header as "m":
> Also, table 1 in section 8 of RFC3311 lists the Contact header as "m" 
> for the UPDATE request.
>  
> Is there any consensus as to which is considered the correct statement? 
> MUST the Contact header be included in target refresh requests(as 
> indicated by the header tables in RFC3261 and RFC3311)? Or, SHOULD the 
> Contact header be included in the target refresh request(as indicated by 
> section 12.2.1.1 <http://12.2.1.1> of RFC3261)?
> 
> ------------------------------------------------------------------------
>

---

From: "Christer Holmberg" <[email-masked]>
Date: Thu, 24 Jan 2008 21:15:24 +0100

Hi,

Is there something that could go wrong if it is not included?

Regards,

Christer 

> -----Original Message-----
> From: Paul Kyzivat [mailto:[email-masked]] 
> Sent: 24. tammikuuta 2008 20:41
> To: David Roan
> Cc: [email-masked]
> Subject: Re: [Sip] Target Refresh Request and Contact Header
> 
> > Contact                      R                      o       
> -      -     
> > Contact header be included in the target refresh request(as 
> indicated 
> > by section 12.2.1.1 <http://12.2.1.1> of RFC3261)?
> > 
> > This list is for NEW development of the core SIP Protocol Use 
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments on the application of sip
> 
> 
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip

---

From: "Sanjay Sinha (sanjsinh)" <[email-masked]>
Date: Thu, 24 Jan 2008 15:22:20 -0500

I guess most 3261 compliant implementations will send a 400 error
response. 2543 compliant spec, most likely, will accept it.

Sanjay 

>From: Christer Holmberg [mailto:[email-masked]] 
>Sent: Thursday, January 24, 2008 3:15 PM
>To: Paul Kyzivat (pkyzivat); David Roan
>Cc: [email-masked]
>Subject: RE: [Sip] Target Refresh Request and Contact Header
>
>
>Hi,
>